Name:		kleansweep
Version:	0.2.8
Summary:        Reclaim disk space by finding unneeded files
Release:	%mkrel 4
Epoch:		0
License:	GPL
Group:		System/Configuration/Other
URL:		http://linux.bydg.org/~yogin/
Source0:        http://linux.bydg.org/~yogin/kleansweep-%{version}.tar.bz2
BuildRequires:	chrpath
BuildRequires:	ImageMagick
BuildRequires:	kdebase-devel
BuildRequires:	scons
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

%description
KleanSweep allows you to reclaim disk space by finding unneeded files. 
It can search for files basing on several criterias; you can seek for:

    * empty files
    * backup files
    * broken symbolic links
    * dead menu entries (.desktop files pointing to non-existing 
      executables)
    * duplicated files
    * orphaned files (files not found in RPM database)
    * obsolete thumbnails (thumbnails conforming to freedesktop.org 
      standard, pointing to non-existing images

%prep
%setup -q

%build
export CXXFLAGS="%{optflags}"
%{__perl} -pi -e 's|"/lib"|"/%{_lib}"|' admin/kde.py
%{_bindir}/scons configure
%{_bindir}/scons

%install
%{__rm} -rf %{buildroot}
%{_bindir}/scons install DESTDIR=%{buildroot}
%{_bindir}/chrpath -d %{buildroot}%{_bindir}/%{name}

%{__mkdir_p} %{buildroot}/%{_menudir}
%{__cat} > %{buildroot}/%{_menudir}/%{name} << EOF
?package(%{name}): \
command="%{_bindir}/%{name}" \
needs="X11" \
icon="%{name}.png" \
section="System/Monitoring" \
title="Kleansweep" \
longtitle="Reclaim disk space by finding unneeded files" \
xdg=true
EOF

%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{__cat} > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Kleansweep
Comment=Reclaim disk space by finding unneeded files
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Monitoring;
EOF

%{__mkdir_p} %{buildroot}%{_iconsdir}/hicolor/48x48/apps
convert -resize 48x48 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png \
%{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png \
%{buildroot}%{_liconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png \
%{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png \
%{buildroot}%{_miconsdir}/%{name}.png

%clean 
%{__rm} -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(0644,root,root,0755) 
%doc AUTHORS ChangeLog COPYING INSTALL README THANKS TODO 
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %{_bindir}/%{name}-helper
%{_datadir}/applnk/System/%{name}.desktop
%{_datadir}/apps/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/*
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/locale/ru/LC_MESSAGES/kleansweep.mo
%{_datadir}/locale/uk/LC_MESSAGES/kleansweep.mo

%changelog
* Thu Aug 24 2006 David Walluck <walluck@mandriva.org> 0:0.2.8-4mdv2007.0
- fix stray quote in menu

* Thu Aug 24 2006 David Walluck <walluck@mandriva.org> 0:0.2.8-3mdv2007.0
- add xdg menu
- clean %%{buildroot} in %%install

* Thu May 25 2006 Giuseppe Ghib <ghibo@mandriva.org> 0.2.8-2mdk
- Don't set QTDIR (needed for building under X86-64).

* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.8-1mdk
- New release 0.2.8

* Mon Mar 20 2006 Lenny Cartier <lenny@mandriva.com> 0:0.2.7-1mdk
- 0.2.7

* Thu Mar 02 2006 David Walluck <walluck@mandriva.org> 0:0.2.6-1mdk
- 0.2.6

* Mon Feb 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.5-1mdk
- New release 0.2.5

* Thu Jan 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0:0.2.4-1mdk
- New release 0.2.4

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.3-3mdk
- Remove redundant buildRequires

* Wed Dec 21 2005 David Walluck <walluck@mandriva.org> 0:0.2.3-2mdk
- fix build on x86_64

* Mon Dec 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.3-1mdk
- New release 0.2.3

* Sun Dec 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.2-1mdk
- New release 0.2.2

* Tue Nov 15 2005 Lenny Cartier <lenny@mandriva.com> 0:0.2.1-1mdk
- 0.2.1

* Tue Nov 01 2005 David Walluck <walluck@mandriva.org> 0:0.2.0-1mdk
- release
